OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/dracut?expand=0&rev=139
65 lines
1.7 KiB
Diff
65 lines
1.7 KiB
Diff
From a9a919e44e0ce5cc5bc4167889a31d87626058e4 Mon Sep 17 00:00:00 2001
|
|
From: Hannes Reinecke <hare@suse.de>
|
|
Date: Wed, 4 Jun 2014 12:04:10 +0200
|
|
Subject: 40network: always start netroot in ifup.sh
|
|
|
|
It's totally irrelevant how the network is configured when
|
|
trying to setup netroot. It only matters if it could be
|
|
configured at all.
|
|
So change the logic the check for correct network setup
|
|
and then start netroot.
|
|
|
|
References: bnc#881235
|
|
|
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
|
---
|
|
modules.d/40network/ifup.sh | 29 +++++++++++------------------
|
|
1 file changed, 11 insertions(+), 18 deletions(-)
|
|
|
|
diff --git a/modules.d/40network/ifup.sh b/modules.d/40network/ifup.sh
|
|
index 109fb4b..31a04bf 100755
|
|
--- a/modules.d/40network/ifup.sh
|
|
+++ b/modules.d/40network/ifup.sh
|
|
@@ -373,27 +373,20 @@ for p in $(getargs ip=); do
|
|
do_static ;;
|
|
esac
|
|
done
|
|
- ret=$?
|
|
|
|
- > /tmp/net.${netif}.up
|
|
+ if [ $? -eq 0 ]; then
|
|
+ > /tmp/net.${netif}.up
|
|
|
|
- if [ -e /sys/class/net/${netif}/address ]; then
|
|
- > /tmp/net.$(cat /sys/class/net/${netif}/address).up
|
|
- fi
|
|
+ if [ -e /sys/class/net/${netif}/address ]; then
|
|
+ > /tmp/net.$(cat /sys/class/net/${netif}/address).up
|
|
+ fi
|
|
|
|
- case $autoconf in
|
|
- dhcp|on|any|dhcp6)
|
|
- ;;
|
|
- *)
|
|
- if [ $ret -eq 0 ]; then
|
|
- setup_net $netif
|
|
- source_hook initqueue/online $netif
|
|
- if [ -z "$manualup" ]; then
|
|
- /sbin/netroot $netif
|
|
- fi
|
|
- fi
|
|
- ;;
|
|
- esac
|
|
+ setup_net $netif
|
|
+ source_hook initqueue/online $netif
|
|
+ if [ -z "$manualup" ]; then
|
|
+ /sbin/netroot $netif
|
|
+ fi
|
|
+ fi
|
|
|
|
exit 0
|
|
done
|
|
--
|
|
2.6.6
|
|
|